Skip to main content
`Ctrl`+`K`

# EPSCISSGetExtraction

Gets the extraction technique used in the CISS solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSGetExtraction(EPS eps,EPSCISSExtraction *extraction)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- extraction - extraction technique

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSSetExtraction()`, `EPSCISSExtraction`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSGetExtraction_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages